
use ${dd}\ed_episodes_cleaned.dta, clear

gen total_eps_fac=1

*Collapse to hospital level
collapse(sum) oon_ind total_eps_fac (first) provider_name_c state emcare_hosp emcare_entry_ind teamhealth_entry_ind, by(aha)

bysort aha: gen inout_ratio=oon_ind/total_eps_fac

*Average OON for all EmCare hospitals
keep if emcare_hosp==1
summ inout_ratio
loc m3=r(mean)

*****************************************
use ${dd}\ed_episodes_cleaned.dta, clear

gen total_eps_fac=1

*collapse to hospital-year level
collapse(sum) oon_ind total_eps_fac (first) provider_name_c state emcare_hosp emcare_entry_ind teamhealth_entry_ind, by(aha year_start)

bysort aha year_start: gen inout_ratio=oon_ind/total_eps_fac

*Only want to look at hospitals in start of time period
keep if year_start==2011

keep if emcare_entry_ind==1 | emcare_hosp==1

*Average OON rate for low OON hospitals
summ inout_ratio if emcare_entry_ind==1 & inout_ratio<.5
loc m1=r(mean)

*Average OON rate for high OON hospitals
summ inout_ratio if emcare_entry_ind==1 & inout_ratio>.5
loc m2=r(mean)

*Histogram of hospital OON rates
local blue `""33 102 172""'
local red `""178 24 43""'
twoway (hist inout_ratio if emcare_entry_ind==1,  fraction bin(100)), ///
xline(`m2', lcolor(`blue')) xline(`m1', lcolor(`blue')) xline(`m3', lcolor(`red')) xtitle("OON Rate") || scatteri 0 1, msymbol(i) xaxis(2) xtitle("", axis(2)) xscale(noline range(0 1) axis(2)) ///
xlab(.02 `""Low OON (5 hospitals)" ".02""' .95 `""High OON (9 hospitals)" "             .99""' .62 `""All EmCare hospitals (197 hospitals)" ".62""',  labsize(vsmall) axis(2)) ///
xtitle("Out-of-Network Rate") ytitle("Percent of Hospitals") ///
legend(off)

graph export ${o}\final_figures\hist_emcare_entry.png, width(1500) height(1000) as(png) replace




