
use ${dd}\ed_episodes_cleaned.dta, clear

	gen outin_count=1 if in_net_phys_ind==0 & in_net_fac_ind==1 
	gen inin_count=1 if in_net_phys_ind==1 & in_net_fac_ind==1 
	gen total_eps_fac=1 if in_net_fac_ind==1 
	gen total_eps_out_fac=1 if in_net_fac_ind==0 & in_net_phys_ind==0 

*calculating rates at HRR level
collapse(sum) outin_count inin_count total_eps_fac total_eps_out_fac , by(hrr)

	bysort hrr: gen inout_ratio=outin_count/total_eps_fac

	*Need more than 2000 episodes over the 5 year period
	drop if total_eps_fac<2000
	keep inout_ratio hrr

*save each level into a csv for use in GIS
outsheet * using ${o}\final_tables\figures_hrr_rates.csv, comma replace


