
use ${dd}\ed_episodes_cleaned.dta, clear

gen total_eps=1

*find OON rate at the hospital-year level
collapse(sum) oon_ind total_eps (first) state, by(aha year_start)

bysort aha year_start: gen inout_ratio=oon_ind/total_eps

*Looking at distribution of hospital OON rate in 2011, 2013, and 2015
summ inout_ratio if year_start==2011
	loc m1=r(mean)
	loc labelme=round(`m1',.01)

summ inout_ratio if year_start==2013
	loc m2=r(mean)
	loc labelme2=round(`m2',.01)

summ inout_ratio if year_start==2015
	loc m3=r(mean)
	loc labelme3=round(`m3',.01)

local blue `""33 102 172""'
local red `""178 24 43""'
twoway(kdensity inout_ratio if year_start==2011, lcolor(`blue')) (kdensity inout_ratio if year_start==2013, lcolor(`red')) (kdensity inout_ratio if year_start==2015, lcolor(green)), /// 
xline(`m1', lcolor(`blue')) xline(`m2', lcolor(`red')) xline(`m3', lcolor(green))  xtitle("Out-of-Network Rate") || scatteri 0 1, msymbol(i) xaxis(2) xtitle("", axis(2)) xscale(noline range(0 1) axis(2)) ///
ylab(0 1 2 3 4 5 6) ///
xlab(`m1' "    `labelme'" `m2' "`labelme2'" `m3' "`labelme3'",  labsize(small) axis(2)) title("Out-of-Network Distribution by Year", pos(12)) legend(order(1 "2011" 2 "2013" 3 "2015")) 
graph export ${o}\final_figures\kdensity_years.png, width(1500) height(1000) as(png) replace




















