
local level all ny
foreach z of local level {

*Going back to determine number of episodes with OON facilities
*(we drop these in cleaned data)
use ${dd}/ed_episodes_2011.dta, clear

local yearlist 2012 2013 2014 2015
foreach f of local yearlist {
	append using ${dd}/ed_episodes_`f'.dta, force
}

if "`z'"=="ny" keep if state=="NY"

*only keeping episodes in our time frame
drop if year_start<2011
drop if year_start>2015

*only keep hospitals in all 5 years of data
keep episode_id aha form_type in_net_fac_ind year_start
keep if form_type==1
merge m:1 aha using ${dd}\ahas_balanced_panel.dta
	keep if _merge==3
	
*count of in network episodes
gen in_eps=1 if in_net_fac_ind==1
gen total_eps=1

*percent in-network episodes
collapse(sum) in_eps total_eps, by(year_start) 
gen in_ep_share=in_eps/total_eps
keep in_ep_share year_start

tempfile temp1
save `temp1', replace

*use cleaned data to determine spending and number of episodes
use ${dd}\ed_episodes_cleaned.dta, clear
cap drop _merge

if "`z'"=="ny" keep if state=="NY"

*Count for OON episodes
gen outin_count=1 if in_net_phys_ind==0 & in_net_fac_ind==1 
gen total_eps_fac=1 if in_net_fac_ind==1 

*ASO or non-ASO
gen aso_eps=1 if aso=="Y"
gen naso_eps=1 if aso=="N"

*calculate at year level
collapse(sum) aso_eps naso_eps outin_count total_eps_fac fac_payment fac_charge phys_payment phys_charge , by(year_start)

gen aso_p=aso_eps/total_eps_fac
gen naso_p=naso_eps/total_eps_fac

*bring in percent in-network facilities
merge 1:1 year_start using `temp1'

format fac_payment fac_charge phys_payment phys_charge %12.00f
format aso_p naso_p %5.4f

drop aso_eps naso_eps

outsheet * using ${o}\final_tables/summarystats_annualspending_`z'.csv, comma replace

}







